## org.mortbay.jetty
Class HttpParser.Input

    java.lang.Object
      java.io.InputStream
          javax.servlet.ServletInputStream
              org.mortbay.jetty.HttpParser.Input

All Implemented Interfaces:
  Closeable

Enclosing class:
  HttpParser

    public static class HttpParser.Input

extends ServletInputStream

Field Summary
`protected Buffer` `_contentView`
`protected EndPoint` `_endp`
`protected long` `_maxIdleTime`
`protected HttpParser` `_parser`

Constructor Summary
`HttpParser.Input(HttpParser parser, long maxIdleTime)`

Method Summary
`int` `available()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`

Methods inherited from class javax.servlet.ServletInputStream
`readLine`

Methods inherited from class java.io.InputStream
`close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _parser

    protected HttpParser _parser

### _endp

    protected EndPoint _endp

### _maxIdleTime

    protected long _maxIdleTime

### _contentView

    protected Buffer _contentView

Constructor Detail

### HttpParser.Input

    public HttpParser.Input(HttpParser parser,
                            long maxIdleTime)

Method Detail

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### available

    public int available()
                  throws IOException

  Overrides:
    `available` in class `InputStream`
  Throws:
    `IOException`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.